-- all the hooks for espio
addHook("AbilitySpecial", espio.AbilitySpecial)	-- for the charge jump
addHook("ShieldSpecial", espio.ShieldSpecial)	-- for rolling after shield abilities

-- main thinkframe
addHook("ThinkFrame", do
	espio.NoBlockmapRemoval()
	espio.LoadConfig()
	espio.BattleSetup()
	espio.RSNeoSetup()
	for p in players.iterate
		espio.WaitFrames(p)
		if not (srb2p) then espio.DrillSpin(p) end
		//espio.FocusJump(p)
		espio.ChargeJump(p)
		espio.WallRun(p)
		if not (srb2p) then espio.CeilingCling(p) end
		espio.ColourShift(p)
	end
end)

addHook("MobjThinker", espio.LeafSwirlProtectionTics)	-- for removing protection tics during leaf swirl
addHook("ShouldDamage", espio.LeafSwirlProtect)	-- for protecting us from projectiles inside the leaf swirl